Treatment Relationship
curl --request PUT \
--url https://api.sandbox.metriport.com/medical/v1/patient/:id/treatment-relationship \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/:id/treatment-relationship"
headers = {"x-api-key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/:id/treatment-relationship', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-9uiu76yhe234";
const treatmentRelationship = false;
const { treatmentRelationship: updatedConsent, message } =
await metriport.updatePatientTreatmentRelationship(patientId, treatmentRelationship);
Patient
Treatment Relationship
Update a patient’s treatment relationship consent status
PUT
/
medical
/
v1
/
patient
/
:id
/
treatment-relationship
Treatment Relationship
The treatment relationship endpoint allows you to control whether a patient has treatment relationship consent. Patients without consent cannot be assigned to treatment cohorts. Revoking consent automatically removes the patient from all treatment cohorts. Operations cohorts are unaffected.
Query Params
boolean
required
Set to
true to grant treatment relationship consent, or false to revoke itPath Params
string
required
The ID of the patient whose treatment relationship consent should be updated
Response
Returns a JSON object with the following properties:string
The patient’s ID
boolean
The patient’s current treatment relationship consent.
true indicates consent is grantedstring
A human-readable message confirming the update
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-9uiu76yhe234";
const treatmentRelationship = false;
const { treatmentRelationship: updatedConsent, message } =
await metriport.updatePatientTreatmentRelationship(patientId, treatmentRelationship);
Notes
- Revoking consent (
treatmentRelationship: false) automatically removes the patient from all treatment cohorts - Patients without consent cannot be added to treatment cohorts via Add Patients to Cohort or Add Patient to Cohorts
- Patients without consent will be ineligible for Network Queries and Document Queries
- You can also set
status.treatmentRelationshipwhen creating or updating a patient

